Bug 490360 - hp-setup CLI crashes after queue name selection
hp-setup CLI crashes after queue name selection
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 14:11 EDT by Dan Robinson
Modified: 2010-01-11 07:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:01:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Robinson 2009-03-15 14:11:48 EDT
Description of problem:
The hp-setup script crashes at the PPD selection stage of the setup. The PyQt3 GUI works correctly and successfully finishes the setup.

Version-Release number of selected component (if applicable):
2.8.12-6.fc10

How reproducible:
Consistently

Steps to Reproduce:
1. Run hp-setup as root with the '-i' switch to disable the GUI
2. Answer all prompts as they appear
  
Actual results:
After specifying the print queue name, the following output is recieved:

"""
error: No PPD found for model photosmart_c7200. Trying old algorithm...

warning: Found multiple possible PPD files

Choose a PPD file that most closely matches your device:
(Note: The model number may vary slightly from the actual model number on the device.)

Num.  PPD Filename                                              Description                             
----  --------------------------------------------------------  ----------------------------------------
Traceback (most recent call last):
  File "/usr/bin/hp-setup", line 496, in <module>
    mins_list = mins.keys()
AttributeError: 'tuple' object has no attribute 'keys'
"""

Expected results:
It shouldn't crash. It should simply allow you to select the correct PPD just like the PyQt3 GUI does.

Additional info:
The printer I was setting up is a HP Photosmart C7280 using the wireless interface.
Comment 1 Tim Waugh 2009-03-16 08:47:20 EDT
Fixed hplip-2.8.12-7.fc10.  Thanks for the report.
Comment 2 Bug Zapper 2009-11-18 06:20:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:01:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Karel Volný 2010-01-11 07:24:36 EST
yep, the problem doesn't seem to be present any more => changing from CLOSED WONTFIX to CLOSEDNEXTRELEASE

@Tim, please, mention the bug number in the changelog and update the bug status properly next time

Note You need to log in before you can comment on or make changes to this bug.